Index: issm/trunk/src/c/bamg/Mesh.cpp
===================================================================
--- issm/trunk/src/c/bamg/Mesh.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Mesh.cpp	(revision 18301)
@@ -4898,130 +4839,127 @@
 							b= IJ_IA/IJ2;
 							return edge;
-		  } 
-	}
-	/*}}}*/
-/*FUNCTION ForceEdge{{{*/
-int ForceEdge(BamgVertex &a, BamgVertex & b,AdjacentTriangle & taret)  { 
-	/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/ForceEdge)*/
-
-	int NbSwap =0;
-	if (!a.t || !b.t){ // the 2 vertex is in a mesh
-		_error_("!a.t || !b.t");
-	}
-	int k=0;
-	taret=AdjacentTriangle(0,0); // erreur 
-
-	AdjacentTriangle tta(a.t,EdgesVertexTriangle[a.IndexInTriangle][0]);
-	BamgVertex   *v1, *v2 = tta.EdgeVertex(0),*vbegin =v2;
-	// we turn around a in the  direct direction  
-
-	Icoor2 det2 = v2 ? det(*v2,a,b): -1 , det1;
-	if(v2) // normal case 
-	 det2 = det(*v2,a,b);
-	else { // no chance infini vertex try the next
-		tta= Previous(Adj(tta));
-		v2 = tta.EdgeVertex(0);
-		vbegin =v2;
-		if (!v2){
-			_error_("!v2");
-		}
-		det2 = det(*v2,a,b);
-	}
-
-	while (v2 != &b) {
-		AdjacentTriangle tc = Previous(Adj(tta));    
-		v1 = v2; 
-		v2 = tc.EdgeVertex(0);
-		det1 = det2;
-		det2 =  v2 ? det(*v2,a,b): det2; 
-
-		if((det1 < 0) && (det2 >0)) { 
-			// try to force the edge 
-			BamgVertex * va = &a, *vb = &b;
-			tc = Previous(tc);
-			if (!v1 || !v2){
-				_error_("!v1 || !v2");
-			}
-			Icoor2 detss = 0,l=0;
-			while ((SwapForForcingEdge(  va,  vb, tc, detss, det1,det2,NbSwap)))
-			 if(l++ > 10000000) {
-				 _error_("Loop in forcing Egde, nb de swap=" << NbSwap << ", nb of try swap (" << l << ") too big");
-			 }
-			BamgVertex *aa = tc.EdgeVertex(0), *bb = tc.EdgeVertex(1);
-			if (((aa == &a ) && (bb == &b)) ||((bb ==  &a ) && (aa == &b))){
-				tc.SetLock();
-				a.Optim(1,0);
-				b.Optim(1,0);
-				taret = tc;
-				return NbSwap;
-			}
-			else 
-			  {
-				taret = tc;
-				return -2; // error  boundary is crossing
-			  }
-		}
-		tta = tc;
-		k++;
-		if (k>=2000){
-			_error_("k>=2000");
-		}
-		if ( vbegin == v2 ) return -1;// error 
-	}
-
-	tta.SetLock();
-	taret=tta;
-	a.Optim(1,0);
-	b.Optim(1,0);
-	return NbSwap; 
-}
-/*}}}*/
-/*FUNCTION swap{{{*/
-void  swap(Triangle *t1,short a1, Triangle *t2,short a2, BamgVertex *s1,BamgVertex *s2,Icoor2 det1,Icoor2 det2){ 
-	/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/swap)*/
-	// --------------------------------------------------------------
-	// short a2=aa[a];// les 2 numero de l arete dans les 2 triangles
-	//                               
-	//               sb                     sb    
-	//             / | \                   /   \                      !
-	//         as1/  |  \                 /a2   \                     !
-	//           /   |   \               /    t2 \                    !
-	//       s1 /t1  | t2 \s2  -->   s1 /___as2___\s2                 !
-	//          \  a1|a2  /             \   as1   /  
-	//           \   |   /               \ t1    /   
-	//            \  |  / as2             \   a1/    
-	//             \ | /                   \   /     
-	//              sa                       sa   
-	//  -------------------------------------------------------------
-	int as1 = NextEdge[a1];
-	int as2 = NextEdge[a2];
-	int ap1 = PreviousEdge[a1];
-	int ap2 = PreviousEdge[a2];
-	(*t1)(VerticesOfTriangularEdge[a1][1]) = s2 ; // avant sb
-	(*t2)(VerticesOfTriangularEdge[a2][1]) = s1  ; // avant sa
-	// mise a jour des 2 adjacences externes 
-	AdjacentTriangle taas1 = t1->Adj(as1),
-						  taas2 = t2->Adj(as2),
-						  tas1(t1,as1), tas2(t2,as2),
-						  ta1(t1,a1),ta2(t2,a2);
-	// externe haut gauche
-	taas1.SetAdj2(ta2, taas1.GetAllFlag_UnSwap());
-	// externe bas droite
-	taas2.SetAdj2(ta1, taas2.GetAllFlag_UnSwap());
-	// remove the Mark  UnMarkSwap 
-	t1->SetUnMarkUnSwap(ap1);
-	t2->SetUnMarkUnSwap(ap2);
-	// interne 
-	tas1.SetAdj2(tas2);
-
-	t1->det = det1;
-	t2->det = det2;
-
-	t1->SetSingleVertexToTriangleConnectivity();
-	t2->SetSingleVertexToTriangleConnectivity();
-} // end swap 
-/*}}}*/
-	/*FUNCTION SwapForForcingEdge{{{*/
-	int SwapForForcingEdge(BamgVertex   *  & pva ,BamgVertex  * &   pvb ,AdjacentTriangle & tt1,Icoor2 & dets1, Icoor2 & detsa,Icoor2 & detsb, int & NbSwap) {
+		} 
+	}
+	/*}}}*/
+	int ForceEdge(BamgVertex &a, BamgVertex & b,AdjacentTriangle & taret)  { /*{{{*/
+		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/ForceEdge)*/
+
+		int NbSwap =0;
+		if (!a.t || !b.t){ // the 2 vertex is in a mesh
+			_error_("!a.t || !b.t");
+		}
+		int k=0;
+		taret=AdjacentTriangle(0,0); // erreur 
+
+		AdjacentTriangle tta(a.t,EdgesVertexTriangle[a.IndexInTriangle][0]);
+		BamgVertex   *v1, *v2 = tta.EdgeVertex(0),*vbegin =v2;
+		// we turn around a in the  direct direction  
+
+		Icoor2 det2 = v2 ? det(*v2,a,b): -1 , det1;
+		if(v2) // normal case 
+		 det2 = det(*v2,a,b);
+		else { // no chance infini vertex try the next
+			tta= Previous(Adj(tta));
+			v2 = tta.EdgeVertex(0);
+			vbegin =v2;
+			if (!v2){
+				_error_("!v2");
+			}
+			det2 = det(*v2,a,b);
+		}
+
+		while (v2 != &b) {
+			AdjacentTriangle tc = Previous(Adj(tta));    
+			v1 = v2; 
+			v2 = tc.EdgeVertex(0);
+			det1 = det2;
+			det2 =  v2 ? det(*v2,a,b): det2; 
+
+			if((det1 < 0) && (det2 >0)) { 
+				// try to force the edge 
+				BamgVertex * va = &a, *vb = &b;
+				tc = Previous(tc);
+				if (!v1 || !v2){
+					_error_("!v1 || !v2");
+				}
+				Icoor2 detss = 0,l=0;
+				while ((SwapForForcingEdge(  va,  vb, tc, detss, det1,det2,NbSwap)))
+				 if(l++ > 10000000) {
+					 _error_("Loop in forcing Egde, nb de swap=" << NbSwap << ", nb of try swap (" << l << ") too big");
+				 }
+				BamgVertex *aa = tc.EdgeVertex(0), *bb = tc.EdgeVertex(1);
+				if (((aa == &a ) && (bb == &b)) ||((bb ==  &a ) && (aa == &b))){
+					tc.SetLock();
+					a.Optim(1,0);
+					b.Optim(1,0);
+					taret = tc;
+					return NbSwap;
+				}
+				else 
+				  {
+					taret = tc;
+					return -2; // error  boundary is crossing
+				  }
+			}
+			tta = tc;
+			k++;
+			if (k>=2000){
+				_error_("k>=2000");
+			}
+			if ( vbegin == v2 ) return -1;// error 
+		}
+
+		tta.SetLock();
+		taret=tta;
+		a.Optim(1,0);
+		b.Optim(1,0);
+		return NbSwap; 
+	}
+	/*}}}*/
+	void  swap(Triangle *t1,short a1, Triangle *t2,short a2, BamgVertex *s1,BamgVertex *s2,Icoor2 det1,Icoor2 det2){ /*{{{*/
+		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/swap)*/
+		// --------------------------------------------------------------
+		// short a2=aa[a];// les 2 numero de l arete dans les 2 triangles
+		//                               
+		//               sb                     sb    
+		//             / | \                   /   \                      !
+		//         as1/  |  \                 /a2   \                     !
+		//           /   |   \               /    t2 \                    !
+		//       s1 /t1  | t2 \s2  -->   s1 /___as2___\s2                 !
+		//          \  a1|a2  /             \   as1   /  
+		//           \   |   /               \ t1    /   
+		//            \  |  / as2             \   a1/    
+		//             \ | /                   \   /     
+		//              sa                       sa   
+		//  -------------------------------------------------------------
+		int as1 = NextEdge[a1];
+		int as2 = NextEdge[a2];
+		int ap1 = PreviousEdge[a1];
+		int ap2 = PreviousEdge[a2];
+		(*t1)(VerticesOfTriangularEdge[a1][1]) = s2 ; // avant sb
+		(*t2)(VerticesOfTriangularEdge[a2][1]) = s1  ; // avant sa
+		// mise a jour des 2 adjacences externes 
+		AdjacentTriangle taas1 = t1->Adj(as1),
+							  taas2 = t2->Adj(as2),
+							  tas1(t1,as1), tas2(t2,as2),
+							  ta1(t1,a1),ta2(t2,a2);
+		// externe haut gauche
+		taas1.SetAdj2(ta2, taas1.GetAllFlag_UnSwap());
+		// externe bas droite
+		taas2.SetAdj2(ta1, taas2.GetAllFlag_UnSwap());
+		// remove the Mark  UnMarkSwap 
+		t1->SetUnMarkUnSwap(ap1);
+		t2->SetUnMarkUnSwap(ap2);
+		// interne 
+		tas1.SetAdj2(tas2);
+
+		t1->det = det1;
+		t2->det = det2;
+
+		t1->SetSingleVertexToTriangleConnectivity();
+		t2->SetSingleVertexToTriangleConnectivity();
+	} // end swap 
+	/*}}}*/
+	int SwapForForcingEdge(BamgVertex   *  & pva ,BamgVertex  * &   pvb ,AdjacentTriangle & tt1,Icoor2 & dets1, Icoor2 & detsa,Icoor2 & detsb, int & NbSwap) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/SwapForForcingEdge)*/
 		// l'arete ta coupe l'arete pva pvb
@@ -5092,16 +5030,16 @@
 
 			if(ToSwap){
-			 if (dets2 < 0) {// haut
-				 dets1 = (ToSwap ? dets1 : detsa) ;
-				 detsa = dets2; 
-				 tt1 =  Previous(tt2) ;}
-			 else if(dets2 > 0){// bas 
-				 dets1 = (ToSwap ? dets1 : detsb) ;
-				 detsb =  dets2;
-				 if(!ToSwap) tt1 =  Next(tt2);
-			 }
-			 else {// on a fin ???
-				 tt1 = Next(tt2);
-				 ret =0;}
+				if (dets2 < 0) {// haut
+					dets1 = (ToSwap ? dets1 : detsa) ;
+					detsa = dets2; 
+					tt1 =  Previous(tt2) ;}
+				else if(dets2 > 0){// bas 
+					dets1 = (ToSwap ? dets1 : detsb) ;
+					detsb =  dets2;
+					if(!ToSwap) tt1 =  Next(tt2);
+				}
+				else {// on a fin ???
+					tt1 = Next(tt2);
+					ret =0;}
 			}
 
@@ -5110,4 +5048,3 @@
 	}
 	/*}}}*/
-
 }
Index: issm/trunk/src/c/bamg/Metric.cpp
===================================================================
--- issm/trunk/src/c/bamg/Metric.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Metric.cpp	(revision 18301)
@@ -13,14 +13,11 @@
 
 	/*Constructor/Destructor*/
-	/*FUNCTION Metric::Metric(double a){{{*/
-	Metric::Metric(double a): a11(1/(a*a)),a21(0),a22(1/(a*a)){
+	Metric::Metric(double a): a11(1/(a*a)),a21(0),a22(1/(a*a)){/*{{{*/
 
 	}/*}}}*/
-	/*FUNCTION Metric::Metric(double a,double b,double c){{{*/
-	Metric::Metric(double a,double b,double c) :a11(a),a21(b),a22(c){
+	Metric::Metric(double a,double b,double c) :a11(a),a21(b),a22(c){/*{{{*/
 
 	}/*}}}*/
-	/*FUNCTION Metric::Metric(const double  a[3],const  Metric& m0, const  Metric& m1,const  Metric&  m2 ){{{*/ 
-	Metric::Metric(const double  a[3],const  Metric& m0, const  Metric& m1,const  Metric& m2 ){
+	Metric::Metric(const double  a[3],const  Metric& m0, const  Metric& m1,const  Metric& m2 ){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/Metric)*/
 
@@ -42,6 +39,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Metric::Metric(double  a,const  Metric& ma, double  b,const  Metric& mb){{{*/
-	Metric::Metric(double  a,const  Metric& ma, double  b,const  Metric& mb) { 
+	Metric::Metric(double  a,const  Metric& ma, double  b,const  Metric& mb) { /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/EigenMetric)*/
 
@@ -64,10 +60,8 @@
 
 	/*Methods*/
-	/*FUNCTION Metric::det{{{*/
-	double Metric::det() const {
+	double Metric::det() const {/*{{{*/
 		return a11*a22-a21*a21;
 	}  /*}}}*/
-	/*FUNCTION Metric::Echo {{{*/
-	void Metric::Echo(void){
+	void Metric::Echo(void){/*{{{*/
 
 		_printf_("Metric:\n");
@@ -77,6 +71,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Metric::IntersectWith{{{*/
-	int Metric::IntersectWith(const Metric& M2) {
+	int Metric::IntersectWith(const Metric& M2) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/IntersectWith)*/
 
@@ -130,12 +123,10 @@
 	}
 	/*}}}*/
-	/*FUNCTION Metric::mul{{{*/
-	R2     Metric::mul(const R2 x)const {
+	R2     Metric::mul(const R2 x)const {/*{{{*/
 		return R2(a11*x.x+a21*x.y,a21*x.x+a22*x.y);
 	}/*}}}*/
 
 	/*Intermediary*/
-	/*FUNCTION LengthInterpole{{{*/
-	double LengthInterpole(const Metric& Ma,const  Metric& Mb, R2 AB) {
+	double LengthInterpole(const Metric& Ma,const  Metric& Mb, R2 AB) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/LengthInterpole)*/
 
@@ -204,6 +195,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION SimultaneousMatrixReduction{{{*/
-	void SimultaneousMatrixReduction( Metric M1,  Metric M2, D2xD2 &V) {
+	void SimultaneousMatrixReduction( Metric M1,  Metric M2, D2xD2 &V) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/ReductionSimultanee)*/
 
@@ -307,6 +297,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION abscisseInterpole{{{*/
-	double abscisseInterpole(const Metric& Ma,const  Metric& Mb, R2 AB,double s,int optim) { 
+	double abscisseInterpole(const Metric& Ma,const  Metric& Mb, R2 AB,double s,int optim) { /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Metric.cpp/abscisseInterpole)*/
 
Index: issm/trunk/src/c/bamg/SetOfE4.cpp
===================================================================
--- issm/trunk/src/c/bamg/SetOfE4.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/SetOfE4.cpp	(revision 18301)
@@ -5,6 +5,5 @@
 
 	/*Constructor*/
-	/*FUNCTION  SetOfEdges4::SetOfEdges4(long mmx,long nnx){{{*/
-	SetOfEdges4::SetOfEdges4(long mmx,long nnx){
+	SetOfEdges4::SetOfEdges4(long mmx,long nnx){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, SetOfEdges4.cpp/SetOfEdges4)*/
 
@@ -26,6 +25,5 @@
 
 	/*Methods*/ 
-	/*FUNCTION  SetOfEdges4::add{{{*/
-	long SetOfEdges4::add(long ii,long jj) {
+	long SetOfEdges4::add(long ii,long jj) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, SetOfEdges4.cpp/add)*/
 
@@ -61,6 +59,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::find {{{*/
-	long SetOfEdges4::find(long ii,long jj) { 
+	long SetOfEdges4::find(long ii,long jj) { /*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, SetOfEdges4.cpp/find)*/
 
@@ -88,26 +85,21 @@
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::i{{{*/
-	long SetOfEdges4::i(long k){
+	long SetOfEdges4::i(long k){/*{{{*/
 		return Edges[k].i;
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::j{{{*/
-	long SetOfEdges4::j(long k){
+	long SetOfEdges4::j(long k){/*{{{*/
 		return Edges[k].j;
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::nb{{{*/
-	long SetOfEdges4::nb(){
+	long SetOfEdges4::nb(){/*{{{*/
 		return NbOfEdges;
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::SortAndAdd{{{*/
-	long SetOfEdges4::SortAndAdd (long ii,long jj) {
+	long SetOfEdges4::SortAndAdd (long ii,long jj) {/*{{{*/
 		return ii <=jj ? add (ii,jj)  : add (jj,ii) ;
 	}
 	/*}}}*/
-	/*FUNCTION  SetOfEdges4::SortAndFind{{{*/
-	long SetOfEdges4::SortAndFind (long ii,long jj) {
+	long SetOfEdges4::SortAndFind (long ii,long jj) {/*{{{*/
 		return ii <=jj ? find (ii,jj)  : find (jj,ii) ;
 	}
Index: issm/trunk/src/c/bamg/SubDomain.cpp
===================================================================
--- issm/trunk/src/c/bamg/SubDomain.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/SubDomain.cpp	(revision 18301)
@@ -12,6 +12,5 @@
 
 	/*Methods*/
-	/*FUNCTION SubDomain::Set {{{*/
-	void SubDomain::Set(const Mesh & Th ,long i,Mesh & ThNew){
+	void SubDomain::Set(const Mesh & Th ,long i,Mesh & ThNew){/*{{{*/
 		*this = Th.subdomains[i];
 		if( head-Th.triangles<0 || head-Th.triangles>=Th.nbt){
Index: issm/trunk/src/c/bamg/Triangle.cpp
===================================================================
--- issm/trunk/src/c/bamg/Triangle.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/Triangle.cpp	(revision 18301)
@@ -11,11 +11,9 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION Triangle(){{{*/
-	Triangle::Triangle(void){
-
-	}
-	/*}}}*/
-	/*FUNCTION Triangle(Mesh *Th,long i,long j,long k) {{{*/
-	Triangle::Triangle(Mesh *Th,long i,long j,long k) {
+	Triangle::Triangle(void){/*{{{*/
+
+	}
+	/*}}}*/
+	Triangle::Triangle(Mesh *Th,long i,long j,long k) {/*{{{*/
 		BamgVertex *v=Th->vertices;
 		long nbv = Th->nbv;
@@ -34,6 +32,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle(BamgVertex *v0,BamgVertex *v1,BamgVertex *v2) {{{*/
-	Triangle::Triangle(BamgVertex *v0,BamgVertex *v1,BamgVertex *v2){
+	Triangle::Triangle(BamgVertex *v0,BamgVertex *v1,BamgVertex *v2){/*{{{*/
 		vertices[0]=v0;
 		vertices[1]=v1;
@@ -49,10 +46,8 @@
 
 	/*Methods*/
-	/*FUNCTION Triangle::Adj{{{*/
-	AdjacentTriangle Triangle::Adj(int i)  const {
+	AdjacentTriangle Triangle::Adj(int i)  const {/*{{{*/
 		return AdjacentTriangle(adj[i],AdjEdgeIndex[i]&3);
 	};/*}}}*/
-	/*FUNCTION Triangle::Length{{{*/
-	double Triangle::Length() const{
+	double Triangle::Length() const{/*{{{*/
 
 		double l;
@@ -75,6 +70,5 @@
 		return l;
 	};/*}}}*/
-	/*FUNCTION Triangle::Echo {{{*/
-	void Triangle::Echo(void){
+	void Triangle::Echo(void){/*{{{*/
 
 		int i;
@@ -106,23 +100,18 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::GetAllflag{{{*/
-	int    Triangle::GetAllflag(int a){
+	int    Triangle::GetAllflag(int a){/*{{{*/
 		return AdjEdgeIndex[a] & 1020;
 	}/*}}}*/
-	/*FUNCTION Triangle::Hidden{{{*/
-	int    Triangle::Hidden(int a)const {
+	int    Triangle::Hidden(int a)const {/*{{{*/
 		return AdjEdgeIndex[a]&16;
 	} /*}}}*/
-	/*FUNCTION Triangle::Locked{{{*/
-	int    Triangle::Locked(int a)const {
+	int    Triangle::Locked(int a)const {/*{{{*/
 		return AdjEdgeIndex[a]&4;
 	} /*}}}*/
-	/*FUNCTION Triangle::NuEdgeTriangleAdj{{{*/
-	short  Triangle::NuEdgeTriangleAdj(int i) const {
+	short  Triangle::NuEdgeTriangleAdj(int i) const {/*{{{*/
 		/*Number of the  adjacent edge in adj tria (make sure it is between 0 and 2*/
 		return AdjEdgeIndex[i&3]&3;
 	}/*}}}*/
-	/*FUNCTION Triangle::Optim{{{*/
-	long  Triangle::Optim(short i,int koption) {
+	long  Triangle::Optim(short i,int koption) {/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/Optim)*/
 
@@ -156,6 +145,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::Quadrangle {{{*/
-	Triangle* Triangle::Quadrangle(BamgVertex * & v0,BamgVertex * & v1,BamgVertex * & v2,BamgVertex * & v3) const{
+	Triangle* Triangle::Quadrangle(BamgVertex * & v0,BamgVertex * & v1,BamgVertex * & v2,BamgVertex * & v3) const{/*{{{*/
 		// return the other triangle of the quad if a quad or 0 if not a quat
 		Triangle * t =0;
@@ -177,6 +165,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::QualityQuad {{{*/
-	double   Triangle::QualityQuad(int a,int option) const{
+	double   Triangle::QualityQuad(int a,int option) const{/*{{{*/
 		double q;
 		if (!link || AdjEdgeIndex[a] &4)
@@ -200,6 +187,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::Renumbering(Triangle *tb,Triangle *te, long *renu){{{*/
-	void  Triangle::Renumbering(Triangle *tb,Triangle *te, long *renu){
+	void  Triangle::Renumbering(Triangle *tb,Triangle *te, long *renu){/*{{{*/
 
 		if (link  >=tb && link  <te) link  = tb + renu[link -tb];
@@ -208,12 +194,10 @@
 		if (adj[2] >=tb && adj[2] <te) adj[2] = tb + renu[adj[2]-tb];    
 	}/*}}}*/
-	/*FUNCTION Triangle::Renumbering(BamgVertex *vb,BamgVertex *ve, long *renu){{{*/
-	void Triangle::Renumbering(BamgVertex *vb,BamgVertex *ve, long *renu){
+	void Triangle::Renumbering(BamgVertex *vb,BamgVertex *ve, long *renu){/*{{{*/
 		if (vertices[0] >=vb && vertices[0] <ve) vertices[0] = vb + renu[vertices[0]-vb];
 		if (vertices[1] >=vb && vertices[1] <ve) vertices[1] = vb + renu[vertices[1]-vb];
 		if (vertices[2] >=vb && vertices[2] <ve) vertices[2] = vb + renu[vertices[2]-vb];    
 	}/*}}}*/
-	/*FUNCTION Triangle::Set {{{*/
-	void Triangle::Set(const Triangle & rec,const Mesh & Th ,Mesh & ThNew){ 
+	void Triangle::Set(const Triangle & rec,const Mesh & Th ,Mesh & ThNew){ /*{{{*/
 		*this = rec;
 		if ( vertices[0] ) vertices[0] = ThNew.vertices +  Th.GetId(vertices[0]);
@@ -227,6 +211,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::SetAdjAdj{{{*/
-	void Triangle::SetAdjAdj(short a){
+	void Triangle::SetAdjAdj(short a){/*{{{*/
 		// Copy all the mark 
 		a &= 3;
@@ -239,6 +222,5 @@
 		}
 	}/*}}}*/
-	/*FUNCTION Triangle::SetAdj2{{{*/
-	void Triangle::SetAdj2(short a,Triangle *t,short aat){
+	void Triangle::SetAdj2(short a,Triangle *t,short aat){/*{{{*/
 		/*For current triangle:
 		 * - a is the index of the edge were the adjency is set (in [0 2])
@@ -252,6 +234,5 @@
 		}
 	}/*}}}*/
-	/*FUNCTION Triangle::SetHidden{{{*/
-	void Triangle::SetHidden(int a){
+	void Triangle::SetHidden(int a){/*{{{*/
 		//Get Adjacent Triangle number a
 		Triangle* t = adj[a];
@@ -261,6 +242,5 @@
 		AdjEdgeIndex[a] |= 16;
 	}/*}}}*/
-	/*FUNCTION Triangle::SetLocked{{{*/
-	void Triangle::SetLocked(int a){
+	void Triangle::SetLocked(int a){/*{{{*/
 		//mark the edge as on Boundary
 		Triangle * t = adj[a];
@@ -268,24 +248,20 @@
 		AdjEdgeIndex[a] |= 4;
 	}/*}}}*/
-	/*FUNCTION Triangle::SetMarkUnSwap{{{*/
-	void Triangle::SetMarkUnSwap(int a){
+	void Triangle::SetMarkUnSwap(int a){/*{{{*/
 		Triangle * t = adj[a];
 		t->AdjEdgeIndex[AdjEdgeIndex[a] & 3] |=8;
 		AdjEdgeIndex[a] |=8 ;
 	}/*}}}*/
-	/*FUNCTION Triangle::SetSingleVertexToTriangleConnectivity{{{*/
-	void Triangle::SetSingleVertexToTriangleConnectivity() { 
+	void Triangle::SetSingleVertexToTriangleConnectivity() { /*{{{*/
 		if (vertices[0]) (vertices[0]->t=this,vertices[0]->IndexInTriangle=0);
 		if (vertices[1]) (vertices[1]->t=this,vertices[1]->IndexInTriangle=1);
 		if (vertices[2]) (vertices[2]->t=this,vertices[2]->IndexInTriangle=2);
 	}/*}}}*/
-	/*FUNCTION Triangle::SetUnMarkUnSwap{{{*/
-	void Triangle::SetUnMarkUnSwap(int a){ 
+	void Triangle::SetUnMarkUnSwap(int a){ /*{{{*/
 		Triangle * t = adj[a];
 		t->AdjEdgeIndex[AdjEdgeIndex[a] & 3] &=55; // 23 + 32 
 		AdjEdgeIndex[a] &=55 ;
 	}/*}}}*/
-	/*FUNCTION Triangle::swap{{{*/
-	int Triangle::swap(short a,int koption){
+	int Triangle::swap(short a,int koption){/*{{{*/
 		/*Original code from Frederic Hecht <hecht@ann.jussieu.fr> (BAMG v1.01, Mesh2.cpp/swap)*/
 
@@ -400,6 +376,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION Triangle::TriangleAdj{{{*/
-	Triangle* Triangle::TriangleAdj(int i) const {
+	Triangle* Triangle::TriangleAdj(int i) const {/*{{{*/
 		return adj[i&3];
 	}/*}}}*/
Index: issm/trunk/src/c/bamg/VertexOnEdge.cpp
===================================================================
--- issm/trunk/src/c/bamg/VertexOnEdge.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/VertexOnEdge.cpp	(revision 18301)
@@ -10,12 +10,10 @@
 
 	/*Methods*/
-	/*FUNCTION VertexOnEdge::Set {{{*/
-	void VertexOnEdge::Set(const Mesh & Th ,long i,Mesh & ThNew){
+	void VertexOnEdge::Set(const Mesh & Th ,long i,Mesh & ThNew){/*{{{*/
 		*this = Th.VertexOnBThEdge[i];  
 		v = ThNew.vertices + Th.GetId(v);
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnEdge::SetOnBTh{{{*/
-	void VertexOnEdge::SetOnBTh(){
+	void VertexOnEdge::SetOnBTh(){/*{{{*/
 		v->BackgroundEdgeHook=this;
 		v->IndexInTriangle=IsVertexOnEdge;  
Index: issm/trunk/src/c/bamg/VertexOnGeom.cpp
===================================================================
--- issm/trunk/src/c/bamg/VertexOnGeom.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/VertexOnGeom.cpp	(revision 18301)
@@ -11,6 +11,5 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION VertexOnGeom::VertexOnGeom(){{{*/
-	VertexOnGeom::VertexOnGeom(){
+	VertexOnGeom::VertexOnGeom(){/*{{{*/
 		meshvertex=NULL;
 		curvilincoord=0;
@@ -18,6 +17,5 @@
 	} 
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomVertex &g){{{*/
-	VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomVertex &g){
+	VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomVertex &g){/*{{{*/
 		meshvertex=&m;
 		curvilincoord=-1;
@@ -25,6 +23,5 @@
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomEdge &g,double s){{{*/
-	VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomEdge &g,double s){
+	VertexOnGeom::VertexOnGeom(BamgVertex & m,GeomEdge &g,double s){/*{{{*/
 		meshvertex=&m;
 		curvilincoord=s;
@@ -34,6 +31,5 @@
 
 	/*Methods*/
-	/*FUNCTION VertexOnGeom::Set {{{*/
-	void VertexOnGeom::Set(const VertexOnGeom & rec,const Mesh & Th ,Mesh & ThNew){
+	void VertexOnGeom::Set(const VertexOnGeom & rec,const Mesh & Th ,Mesh & ThNew){/*{{{*/
 		*this = rec;  
 		meshvertex = ThNew.vertices + Th.GetId(meshvertex);
@@ -47,21 +43,17 @@
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::OnGeomVertex{{{*/
-	int VertexOnGeom::OnGeomVertex()const{
+	int VertexOnGeom::OnGeomVertex()const{/*{{{*/
 		return this? curvilincoord <0 :0;
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::OnGeomEdge{{{*/
-	int VertexOnGeom::OnGeomEdge() const{
+	int VertexOnGeom::OnGeomEdge() const{/*{{{*/
 		return this? curvilincoord >=0 :0;
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::IsRequiredVertex{{{*/
-	int VertexOnGeom::IsRequiredVertex() {
+	int VertexOnGeom::IsRequiredVertex() {/*{{{*/
 		return this? ((curvilincoord<0 ? (gv?gv->Required():0):0 )) : 0;
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnGeom::SetOn{{{*/
-	void VertexOnGeom::SetOn(){
+	void VertexOnGeom::SetOn(){/*{{{*/
 		meshvertex->GeomEdgeHook=this;
 		meshvertex->IndexInTriangle=IsVertexOnGeom;
Index: issm/trunk/src/c/bamg/VertexOnVertex.cpp
===================================================================
--- issm/trunk/src/c/bamg/VertexOnVertex.cpp	(revision 18081)
+++ issm/trunk/src/c/bamg/VertexOnVertex.cpp	(revision 18301)
@@ -10,23 +10,19 @@
 
 	/*Constructors/Destructors*/
-	/*FUNCTION VertexOnVertex::VertexOnVertex(){{{*/
-	VertexOnVertex::VertexOnVertex() {
+	VertexOnVertex::VertexOnVertex() {/*{{{*/
 		v=NULL;
 		bv=NULL;
 	};/*}}}*/
-	/*FUNCTION VertexOnVertex::VertexOnVertex(BamgVertex * w,BamgVertex *bw){{{*/
-	VertexOnVertex::VertexOnVertex(BamgVertex * w,BamgVertex *bw) :v(w),bv(bw){
+	VertexOnVertex::VertexOnVertex(BamgVertex * w,BamgVertex *bw) :v(w),bv(bw){/*{{{*/
 
 	}/*}}}*/
 
 	/*Methods*/
-	/*FUNCTION VertexOnVertex::Set{{{*/
-	void VertexOnVertex::Set(const Mesh &Th ,long i,Mesh &ThNew) { 
+	void VertexOnVertex::Set(const Mesh &Th ,long i,Mesh &ThNew) { /*{{{*/
 		*this = Th.VertexOnBThVertex[i];  
 		v     = ThNew.vertices + Th.GetId(v);
 	}
 	/*}}}*/
-	/*FUNCTION VertexOnVertex::SetOnBTh{{{*/
-	void VertexOnVertex::SetOnBTh(){
+	void VertexOnVertex::SetOnBTh(){/*{{{*/
 		v->BackgroundVertexHook=bv;v->IndexInTriangle=IsVertexOnVertex;
 	}/*}}}*/
Index: issm/trunk/src/c/classes/Constraints/Constraints.cpp
===================================================================
--- issm/trunk/src/c/classes/Constraints/Constraints.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Constraints/Constraints.cpp	(revision 18301)
@@ -19,6 +19,5 @@
 
 /*Numerics: */
-/*FUNCTION Constraints::NumberOfConstraints{{{*/
-int Constraints::NumberOfConstraints(void){
+int Constraints::NumberOfConstraints(void){/*{{{*/
 
 	int localconstraints;
Index: issm/trunk/src/c/classes/Constraints/Constraints.h
===================================================================
--- issm/trunk/src/c/classes/Constraints/Constraints.h	(revision 18081)
+++ issm/trunk/src/c/classes/Constraints/Constraints.h	(revision 18301)
@@ -16,12 +16,10 @@
 
 		/*Object constructors and destructor*/
-		/*FUNCTION Constraints::Constraints(){{{*/
-		Constraints(){
+		Constraints(){/*{{{*/
 			enum_type=ConstraintsEnum;
 			return;
 		}
 		/*}}}*/
-		/*FUNCTION Constraints::~Constraints(){{{*/
-		~Constraints(){
+		~Constraints(){/*{{{*/
 			return;
 		}
Index: issm/trunk/src/c/classes/Constraints/SpcDynamic.cpp
===================================================================
--- issm/trunk/src/c/classes/Constraints/SpcDynamic.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Constraints/SpcDynamic.cpp	(revision 18301)
@@ -14,11 +14,9 @@
 
 /*SpcDynamic constructors and destructor*/
-/*FUNCTION SpcDynamic::SpcDynamic(){{{*/
-SpcDynamic::SpcDynamic(){
+SpcDynamic::SpcDynamic(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::SpcDynamic(int spc_sid,int spc_nodeid,...){{{*/
-SpcDynamic::SpcDynamic(int spc_sid,int spc_nodeid, int spc_dof,int spc_analysis_type){
+SpcDynamic::SpcDynamic(int spc_sid,int spc_nodeid, int spc_dof,int spc_analysis_type){/*{{{*/
 
 	sid=spc_sid;
@@ -32,6 +30,5 @@
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::~SpcDynamic{{{*/
-SpcDynamic::~SpcDynamic(){
+SpcDynamic::~SpcDynamic(){/*{{{*/
 	return;
 }
@@ -39,6 +36,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION SpcDynamic::Echo {{{*/
-void SpcDynamic::Echo(void){
+void SpcDynamic::Echo(void){/*{{{*/
 
 	_printf_("SpcDynamic:\n");
@@ -52,6 +48,5 @@
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::DeepEcho {{{*/
-void SpcDynamic::DeepEcho(void){
+void SpcDynamic::DeepEcho(void){/*{{{*/
 
 	this->Echo();
@@ -59,9 +54,7 @@
 }		
 /*}}}*/
-/*FUNCTION SpcDynamic::Id {{{*/
-int    SpcDynamic::Id(void){ return sid; }
+int SpcDynamic::Id(void){ return sid; }/*{{{*/
 /*}}}*/
-/*FUNCTION SpcDynamic::ObjectEnum{{{*/
-int SpcDynamic::ObjectEnum(void){
+int SpcDynamic::ObjectEnum(void){/*{{{*/
 
 	return SpcDynamicEnum;
@@ -69,19 +62,26 @@
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::copy {{{*/
-Object* SpcDynamic::copy() {
-	return new SpcDynamic(*this); 
+Object* SpcDynamic::copy() {/*{{{*/
+
+	SpcDynamic* spcdyn = new SpcDynamic(*this); 
+
+	spcdyn->sid=this->sid;
+	spcdyn->nodeid=this->nodeid;
+	spcdyn->dof=this->dof;
+	spcdyn->value=this->value;
+	spcdyn->analysis_type=this->analysis_type;
+	spcdyn->isset=this->isset;
+
+	return (Object*) spcdyn;
 }
 /*}}}*/
 
 /*Constraint virtual functions definitions: */
-/*FUNCTION SpcDynamic::InAnalysis{{{*/
-bool SpcDynamic::InAnalysis(int in_analysis_type){
+bool SpcDynamic::InAnalysis(int in_analysis_type){/*{{{*/
 	if (in_analysis_type==this->analysis_type) return true;
 	else return false;
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::ConstrainNode{{{*/
-void SpcDynamic::ConstrainNode(Nodes* nodes,Parameters* parameters){
+void SpcDynamic::ConstrainNode(Nodes* nodes,Parameters* parameters){/*{{{*/
 
 	Node* node=NULL;
@@ -100,17 +100,14 @@
 
 /*SpcDynamic functions*/
-/*FUNCTION SpcDynamic::GetDof {{{*/
-int SpcDynamic::GetDof(){
+int SpcDynamic::GetDof(){/*{{{*/
 	return dof;
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::GetNodeId {{{*/
-int   SpcDynamic::GetNodeId(){
+int   SpcDynamic::GetNodeId(){/*{{{*/
 
 	return nodeid;
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::GetValue {{{*/
-IssmDouble SpcDynamic::GetValue(){
+IssmDouble SpcDynamic::GetValue(){/*{{{*/
 	_assert_(this->isset);
 	_assert_(!xIsNan<IssmDouble>(value));
@@ -118,6 +115,5 @@
 }
 /*}}}*/
-/*FUNCTION SpcDynamic::SetDynamicConstraint {{{*/
-void SpcDynamic::SetDynamicConstraint(Nodes* nodes,IssmDouble* yg_serial){
+void SpcDynamic::SetDynamicConstraint(Nodes* nodes,IssmDouble* yg_serial){/*{{{*/
 
 	int pos;
